Summary: tvconfig and tv.o - Used to control netwinder tv-out
Name: netwinder-tv
%define version 1.0
Version: %{version}
Release: 1
Group: Utilities/System
Source: netwinder-tv-%{version}.tar.gz
Copyright: Freely distributable & usable (GPL)
BuildRoot: /var/tmp/netwinder-tv-root
Exclusivearch: armv4l
ExclusiveOS: linux
Requires: kernel >= 2.2.12

%package devel
Summary: header files for netwinder tv-out
Group: Development/Libraries
Requires: netwinder-tv

%description
A module for controlling tv out on the Netwinder's CyberPro 2000/2010 chip, 
and a tvconfig program to tweak register settings.

%description devel
Header file for accessing the tv out device on the NetWinder's CyberPro
2000/2010 chip.

%prep
%setup 

%build
make

%install
if [ -d $RPM_BUILD_ROOT ] ; then rm -rf $RPM_BUILD_ROOT ; fi
INSTALL_ROOT=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -c /dev/tv ] || /bin/mknod /dev/tv c 104 0

%files
%dir /usr/doc/netwinder-tv-%{version}
/usr/doc/netwinder-tv-%{version}/README
/usr/sbin/tvconfig
/usr/man/man7/tvconfig.7
%dir /lib/modules/misc
/lib/modules/misc/tv.o

%files devel
/usr/include/tv.h

%changelog
* Wed Jan 05 2000 Rod m. Stewart <stewart@netwinder.org>
- IGS 2010 final fixes, also more crisp with a 2000
- up version number to 1.0
- clean up released files

* Wed Dec 22 1999 Rod m. Stewart <stewart@netwinder.org>
- fix release numbering
- initial support for IGS 2010 chip

* Mon Nov  1 1999 Douglas Paul <douglasp@netwinder.org>
- some updates, fixed broken spec file
- added manpage to package

* Wed Oct  6 1999 Douglas Paul <douglasp@netwinder.org>
- create device node on package install

* Fri Oct 01 1999 Rod m. Stewart <stewart@netwinder.org>
- install tv.h in /usr/include, not in /usr/include/linux/

* Wed Mar 24 1999 Douglas Paul <douglasp@netwinder.org>
- Separation of header into separate RPM

* Tue Mar  9 1999 Ryan Gammon <rggammon@netwinder.org>
- Initial creation of the RPM

